summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorErik Mackdanz <stasibear@gentoo.org>2016-06-13 10:40:41 -0500
committerErik Mackdanz <stasibear@gentoo.org>2016-06-13 10:41:40 -0500
commit1c437fe99eb4beb6b279b843587c5c559ce452ad (patch)
treeb89f81f246d4825053fad346e0d3480fd9f8b81e /app-emulation/lxd/files
parentdev-perl/Text-CSV-1.330.0-r0: add alpha keyword (diff)
downloadgentoo-1c437fe99eb4beb6b279b843587c5c559ce452ad.tar.gz
gentoo-1c437fe99eb4beb6b279b843587c5c559ce452ad.tar.bz2
gentoo-1c437fe99eb4beb6b279b843587c5c559ce452ad.zip
app-emulation/lxd: bump to 2.0.2
Address CVE-2016-1581 and CVE-2016-1582 Package-Manager: portage-2.3.0_rc1
Diffstat (limited to 'app-emulation/lxd/files')
-rw-r--r--app-emulation/lxd/files/lxd-2.0.2-dont-go-get.patch20
-rw-r--r--app-emulation/lxd/files/lxd-2.0.2.confd27
-rw-r--r--app-emulation/lxd/files/lxd-2.0.2.initd50
3 files changed, 97 insertions, 0 deletions
diff --git a/app-emulation/lxd/files/lxd-2.0.2-dont-go-get.patch b/app-emulation/lxd/files/lxd-2.0.2-dont-go-get.patch
new file mode 100644
index 000000000000..d2e622ec73b7
--- /dev/null
+++ b/app-emulation/lxd/files/lxd-2.0.2-dont-go-get.patch
@@ -0,0 +1,20 @@
+--- Makefile.orig 2016-02-19 00:16:40.720102639 +0000
++++ Makefile 2016-02-19 00:18:10.886096473 +0000
+@@ -12,17 +12,11 @@
+
+ .PHONY: default
+ default:
+- # Must run twice due to go get race
+- -go get -t -v -d ./...
+- -go get -t -v -d ./...
+ go install -v $(DEBUG) ./...
+ @echo "LXD built successfully"
+
+ .PHONY: client
+ client:
+- # Must run twice due to go get race
+- -go get -t -v -d ./...
+- -go get -t -v -d ./...
+ go install -v $(DEBUG) ./lxc
+ @echo "LXD client built successfully"
+
diff --git a/app-emulation/lxd/files/lxd-2.0.2.confd b/app-emulation/lxd/files/lxd-2.0.2.confd
new file mode 100644
index 000000000000..3d553276a5e3
--- /dev/null
+++ b/app-emulation/lxd/files/lxd-2.0.2.confd
@@ -0,0 +1,27 @@
+# Group which owns the shared socket
+LXD_OPTIONS+=" --group lxd"
+
+
+
+# Enable cpu profiling into the specified file
+#LXD_OPTIONS+=" --cpuprofile /tmp/lxc_cpu_profile"
+
+# Enable memory profiling into the specified file
+#LXD_OPTIONS+=" --memprofile /tmp/lxc_mem_profile"
+
+
+
+# Enables debug mode
+#LXD_OPTIONS+=" --debug"
+
+# For debugging, print a complete stack trace every n seconds
+#LXD_OPTIONS+=" --print-goroutines-every 5"
+
+# Enables verbose mode
+#LXD_OPTIONS+=" -v"
+
+# Logfile to log to
+#LXD_OPTIONS+=" --logfile /var/log/lxd/lxd.log"
+
+# Enables syslog logging
+#LXD_OPTIONS+=" --syslog"
diff --git a/app-emulation/lxd/files/lxd-2.0.2.initd b/app-emulation/lxd/files/lxd-2.0.2.initd
new file mode 100644
index 000000000000..c1aef377ab6f
--- /dev/null
+++ b/app-emulation/lxd/files/lxd-2.0.2.initd
@@ -0,0 +1,50 @@
+#!/sbin/openrc-run
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+DAEMON=/usr/sbin/lxd
+PIDFILE=/run/lxd.pid
+
+extra_commands="stopall"
+
+depend() {
+ need net
+ use lxcfs
+
+ # remove with 2.0 release
+ need cgmanager
+}
+
+start() {
+ ebegin "Starting lxd server"
+
+ start-stop-daemon --start \
+ --pidfile ${PIDFILE} \
+ --exec ${DAEMON} \
+ --background \
+ --make-pidfile \
+ -- \
+ ${LXD_OPTIONS}
+
+ eend $?
+}
+
+stop() {
+ if [[ $RC_GOINGDOWN = YES ]] || [[ $RC_REBOOT = YES ]]; then
+ stopall
+ else
+ ebegin "Stopping lxd service (but not containers)"
+ start-stop-daemon --stop --quiet -R TERM/45 -p ${PIDFILE}
+ eend $?
+ fi
+}
+
+stopall() {
+ ebegin "Stopping lxd service and containers"
+ if "${DAEMON}" shutdown; then
+ /etc/init.d/lxd zap
+ rm -f ${PIDFILE}
+ fi
+ eend $?
+}